/***************************************************************************
***
***    Copyright 2007  Hon Hai Precision Ind. Co. Ltd.
***    All Rights Reserved.
***    No portions of this material shall be reproduced in any form without the
***    written permission of Hon Hai Precision Ind. Co. Ltd.
***
***    All information contained in this document is Hon Hai Precision Ind.  
***    Co. Ltd. company private, proprietary, and trade secret property and 
***    are protected by international intellectual property laws and treaties.
***
****************************************************************************/

#ifndef __WPS_LED_H__
#define __WPS_LED_H__


#if (defined WN3500RP)
#define WPS_LED_GPIO            22
#else
#error "WPS_LED_GPIO not defined"
#endif


#define WPS_LED_IOCTL_NUM   'W'

#define WPS_LED_BLINK_NORMAL   _IOWR(WPS_LED_IOCTL_NUM, 0, int *)
#define WPS_LED_BLINK_QUICK    _IOWR(WPS_LED_IOCTL_NUM, 1, int *)
#define WPS_LED_BLINK_OFF      _IOWR(WPS_LED_IOCTL_NUM, 2, int *)
#define WPS_LED_CHANGE_GREEN   _IOWR(WPS_LED_IOCTL_NUM, 3, int *)
#define WPS_LED_CHANGE_AMBER   _IOWR(WPS_LED_IOCTL_NUM, 4, int *)
#define WPS_LED_BLINK_QUICK2   _IOWR(WPS_LED_IOCTL_NUM, 5, int *)
#define WPS_LED_BLINK_AP_LOCKDOWN   _IOWR(WPS_LED_IOCTL_NUM, 16, int *)


/* For USB LED */
#define USB_LED_STATE_ON       _IOWR(WPS_LED_IOCTL_NUM, 6, int *)
#define USB_LED_STATE_OFF      _IOWR(WPS_LED_IOCTL_NUM, 7, int *)



/* For WLAN LED, temp solution */
#define WLAN_LED_STATE_ON       _IOWR(WPS_LED_IOCTL_NUM, 8, int *)
#define WLAN_LED_STATE_OFF      _IOWR(WPS_LED_IOCTL_NUM, 9, int *)


#if (defined BCM5358) 
#define WLAN_N_TX_GPIO            11
#define WLAN_N_RX_GPIO            11
#define WLAN_G_TX_GPIO            11
#define WLAN_G_RX_GPIO            11
#else
#define WLAN_N_TX_GPIO            10
#define WLAN_N_RX_GPIO            14
#define WLAN_G_TX_GPIO            11
#define WLAN_G_RX_GPIO            13
#endif


#if (defined WN3500RP)
#define WLAN_G_LED_GPIO           15/* 2.4G Green LED */
#define WLAN_G_LED_AMBER_GPIO     21/* 2.4G Amber LED */
#define WLAN_G_LED_RED_GPIO       23/* 2.4G Red LED */
#define WLAN_N_LED_GPIO           17/* 5G Green LED */
#define WLAN_N_LED_AMBER_GPIO     22/* 5G Amber LED */
#define WLAN_N_LED_RED_GPIO       19/* 5G Red LED */
#endif



#define DEV_WPS_LED             "/dev/wps_led"


#define WPS_LED_STOP_NO         (0)
#define WPS_LED_STOP_RADIO_OFF  (1)
#define WPS_LED_STOP_DISABLED   (2)

/* No DOME_LED */
#endif
