/*
 * Copyright (C) 2009, Broadcom Corporation
 * All Rights Reserved.
 * 
 * THIS SOFTWARE IS OFFERED "AS IS", AND BROADCOM GRANTS NO WARRANTIES OF ANY
 * KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. BROADCOM
 * SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
 *
 * $Id: dpsta_linux.h 274630 2011-07-30 17:58:48Z rnuti $
 */

#ifndef _DPSTA_LINUX_H_
#define _DPSTA_LINUX_H_

#define DPSTA_CMD_ENABLE	SIOCDEVPRIVATE

#define DPSTA_POLICY_AUTO			0
#define DPSTA_POLICY_SAMEBAND	1
#define DPSTA_POLICY_CROSSBAND	2

#define DPSTA_LAN_UIF_AUTO	0	/* UIF is not assigned/fixed for LAN traffic (default 2G)*/
#define DPSTA_LAN_UIF_2G	1	/* Use 2G as UIF for LAN traffic */
#define DPSTA_LAN_UIF_5G	2	/* Use 5G as UIF for LAN traffic */
#define DPSTA_LAN_UIF_AUTO_5G	3	/* UIF is not assigned/fixed for LAN traffic (default 5G) */

#define DPSTA_NUM_UPSTREAM_IF	2

typedef struct dpsta_enable_info {
	bool	enable;			/* Enable/Disable Dualband PSTA mode */
	uint32	policy;			/* Inband or crossband repeating */
	uint32	lan_uif;		/* Upstream interface for lan traffic */
					/* Upstream interfaces managed by DPSTA */
	uint8	upstream_if[DPSTA_NUM_UPSTREAM_IF][IFNAMSIZ];
} dpsta_enable_info_t;

#endif /* _DPSTA_LINUX_H_ */
